# $Revision: 1.30 $, $Date: 2005/12/03 14:57:40 $
Summary:	Genealogical Research and Analysis Management Programming System
Summary(pl):	System programowania do zarzdzania badaniami i analiz genealogiczn
Name:		gramps
Version:	2.0.8
Release:	2
License:	GPL
Group:		Applications/Science
Source0:	http://dl.sourceforge.net/gramps/%{name}-%{version}.tar.gz
# Source0-md5:	84f2659b292b5e2abc92a8d56148495b
Patch0:		%{name}-locale_names.patch
Patch1:		%{name}-desktop.patch
URL:		http://gramps.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	GConf2-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	pkgconfig
BuildRequires:	python-gnome-devel >= 2.6.0
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper >= 0.3.5
%pyrequires_eq  python-modules
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires:	hicolor-icon-theme
Requires:	python-gnome-ui >= 2.12.2-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python based
plugin system.

%description -l pl
gramps (Genealogical Research and Analysis Management Programming
System - system programowania do zarzdzania badaniami i analiz
genealogiczn) to oparty na GNOME program do genealogii obsugujcy
system wtyczek w Pythonie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's|gramps.py|gramps.pyc|' gramps.sh.in
rm -rf src/po/no.*

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-mime-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
install src/gramps.png $RPM_BUILD_ROOT%{_pixmapsdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info
rm -rf $RPM_BUILD_ROOT%{_datadir}/application-registry
rm -f $RPM_BUILD_ROOT%{_datadir}/gramps/*.py
rm -f $RPM_BUILD_ROOT%{_datadir}/gramps/*/*.py

%find_lang gramps

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gramps.schemas
%update_desktop_database_post
%scrollkeeper_update_post
%banner %{name} -e << EOF
Following packages are strongly recommended to be installed:
- graphviz (for creation of graphs)
- python-ReportLab (for creation of PDF documents)
EOF

%preun
%gconf_schema_uninstall gramps.schemas

%postun
%update_desktop_database_postun
%scrollkeeper_update_postun

%files -f gramps.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README TODO
%attr(755,root,root) %{_bindir}/gramps

%dir %{_datadir}/gramps
%dir %{_datadir}/gramps/gnome
%dir %{_datadir}/gramps/gnome/help
%dir %{_datadir}/gramps/gnome/help/gramps
%{_datadir}/gramps/data
%{_datadir}/gramps/dates
%{_datadir}/gramps/docgen
%{_datadir}/gramps/example
%{_datadir}/gramps/plugins
%{_datadir}/gramps/*.glade
%{_datadir}/gramps/*.jpg
%{_datadir}/gramps/*.png
%{_datadir}/gramps/*.py[co]
%{_datadir}/gramps/gnome/help/gramps/C
%lang(fr) %{_datadir}/gramps/gnome/help/gramps/fr

%{_desktopdir}/*.desktop
%{_iconsdir}/gnome/48x48/mimetypes/*
%{_pixmapsdir}/gramps.png

%{_datadir}/mime/packages/gramps.xml
%{_sysconfdir}/gconf/schemas/gramps.schemas

%{_mandir}/man1/*
%{_omf_dest_dir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gramps.spec,v $
Revision 1.30  2005/12/03 14:57:40  freetz
- fixed BR/R, removed not needed files, banner support, run scrollkeeper
  in post/postun, massive %%files cleanup, call .pyc instead .py in startup
  script, pass 'packager friendly' options to configure, rel.2

Revision 1.29  2005/11/03 20:08:22  krystian
- up to 2.0.8

Revision 1.28  2005/03/28 10:17:22  adamg
- updated to 1.0.11

Revision 1.27  2005/02/06 14:41:22  adamg
- release 2 (fixed -locale_names.patch)

Revision 1.26  2005/02/06 11:51:43  adamg
- updated to 1.0.10

Revision 1.25  2005/01/09 19:16:49  yogib
- updated to 1.0.8, removed BR: desktop-file-utils

Revision 1.24  2004/12/03 14:43:55  paladine
- real Categories fix, rel 5, STBR

Revision 1.23  2004/12/03 13:25:51  paladine
- added desktop patch, rel 4, STBR

Revision 1.22  2004/11/14 21:47:05  havner
- rel up for rebuild with python-pygtk

Revision 1.21  2004/09/19 21:42:42  ankry
- locale name fixes, rel. 2

Revision 1.20  2004/08/29 20:13:40  undefine
- update to 1.0.7

Revision 1.19  2004/08/12 00:39:08  havner
- rel 1

Revision 1.18  2004/07/26 08:31:58  pbern
- add (B)R python-ReportLab
- rel 0.3

Revision 1.17  2004/07/23 22:20:36  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 0.2

Revision 1.16  2004/07/23 08:36:11  pbern
- up to 1.0.4
- rel 0.1

Revision 1.15  2004/07/23 05:20:45  ankry
- remove unsupported no locale, rel. 2

Revision 1.14  2004/04/22 17:47:33  yogib
- updated to 1.0.3

Revision 1.13  2004/04/11 16:25:29  adamg
- works fine for me, release 1

Revision 1.12  2004/04/11 16:21:23  adamg
- BuildRequires: python-gnome-gconf, python-gnome-vfs

Revision 1.11  2004/04/11 15:40:56  adamg
- updated to 1.0.2

Revision 1.10  2004/02/21 17:57:06  yogib
- up to 1.0.1

Revision 1.9  2004/02/14 11:03:56  jareq
- upgrade to 1.0.0

Revision 1.8  2004/01/31 18:19:47  yogib
- up to 0.99

Revision 1.7  2004/01/17 22:36:41  yogib
- added BR: python-devel

Revision 1.6  2004/01/02 10:32:39  tiwek
- added missing BR

Revision 1.5  2003/12/27 19:26:44  qboosh
- more cleanups, added BRs tested by configure

Revision 1.4  2003/12/26 10:52:45  qboosh
- pl, some cleanups

Revision 1.3  2003/12/26 06:18:01  pbern
- R

Revision 1.2  2003/12/25 22:31:24  pbern
- add miss md5

Revision 1.1  2003/12/25 22:28:51  pbern
- init
- rel 0.1
